Flux-1.1-pro-ultra
black-forest-labs/flux-1.1-pro-ultra
异步任务:POST /v1/tasks/generations 提交 → GET /v1/tasks/generations/{request_id} 轮询结果(POST 发送后 request_id 自动填入 GET)。
https://router.shengsuanyun.com/apiAuthorization: Bearer YOUR_API_KEY端点列表
POST/v1/tasks/generationsFlux 图像生成-异步
异步任务:POST 提交后返回 request_id,再用 GET /v1/tasks/generations/{request_id} 轮询结果。
请求体
application/json
object
anyOf · 1
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | 描述你想生成的图像内容 |
aspect_ratio | string | 可选值:"1:1" · "21:9" · "16:9" · "3:2" · "4:3" · "5:4" · "4:5" · "3:4" · "2:3" · "9:16" · "9:21" |
safety_tolerance | integer | 1为最严格,6为最宽松 |
output_format | string | 可选值:"jpg" · "png" |
raw | boolean | 生成更少处理、更自然的图像 |
seed | integer | 设置固定种子以获得可重复的结果 |
model必填 | string | 路由模型,本页固定为 black-forest-labs/flux-1.1-pro-ultra |
anyOf · 2
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | 描述你想生成的图像内容 |
image_prompt必填 | string | 用于 Flux Redux 的参考图片,与文本提示词一起引导生成符合图片构图的内容。支持 jpeg、png、gif 或 webp 格式 |
image_prompt_strength | number | 文本提示词和参考图片之间的混合比例,0为纯文本,1为完全参考图片 |
aspect_ratio | string | 可选值:"1:1" · "21:9" · "16:9" · "3:2" · "4:3" · "5:4" · "4:5" · "3:4" · "2:3" · "9:16" · "9:21" |
safety_tolerance | integer | 1为最严格,6为最宽松 |
output_format | string | 可选值:"jpg" · "png" |
raw | boolean | 生成更少处理、更自然的图像 |
seed | integer | 设置固定种子以获得可重复的结果 |
model必填 | string | 路由模型,本页固定为 black-forest-labs/flux-1.1-pro-ultra |
{
"aspect_ratio": "21:9",
"model": "black-forest-labs/flux-1.1-pro-ultra",
"output_format": "jpg",
"prompt": "A close-up of a miniature medieval town, nestled amidst a lush landscape, features fortified walls and a winding river running through it.\nIn the center of the city stands a towering castle, its lord atop.\nThe city teems with life, a vibrant mix of characters wandering through it.\nOn a path outside the city, a group of brave warriors return victoriously.",
"raw": false,
"safety_tolerance": 2
}请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X POST 'https://router.shengsuanyun.com/api/v1/tasks/generations' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data '{
"aspect_ratio": "21:9",
"model": "black-forest-labs/flux-1.1-pro-ultra",
"output_format": "jpg",
"prompt": "A close-up of a miniature medieval town, nestled amidst a lush landscape, features fortified walls and a winding river running through it.\nIn the center of the city stands a towering castle, its lord atop.\nThe city teems with life, a vibrant mix of characters wandering through it.\nOn a path outside the city, a group of brave warriors return victoriously.",
"raw": false,
"safety_tolerance": 2
}'响应
200 提交成功,返回 request_id / task_id
application/json
未提供结构定义。
{
"code": "success",
"message": "",
"data": {
"request_id": "REQ_xxx",
"task_id": "TASK_xxx",
"action": "GENERATION",
"status": "PENDING",
"progress": "0%"
}
}400 请求参数错误
401 未授权(API Key 无效)
429 请求过于频繁
500 服务器内部错误
GET/v1/tasks/generations/{request_id}查询异步任务状态与产物
通过 POST /v1/tasks/generations 返回的 request_id 轮询任务状态、进度与产物 URL(image_urls / video_urls / audio_urls / file_urls / text)。下方「在线测试」填入 request_id 即可发送查询;若上方 POST 已发送成功,request_id 会自动填入。
请求参数
| 参数 | 位置 / 类型 | 说明 |
|---|---|---|
request_id必填 | path / string | POST /v1/tasks/generations 返回的请求 ID |
请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X GET 'https://router.shengsuanyun.com/api/v1/tasks/generations/{request_id}' \
-H 'Authorization: Bearer YOUR_API_KEY'响应
200 任务状态与产物
application/json
未提供结构定义。
{
"image_urls": [
"https://oss.shengsuanyun.com/example/modelinfo/197/2025-10-14_13:04:20_output_1.jpg"
],
"progress": 100
}